Name:       mageia-maintainers-database
Version:    0.0
Release:    %mkrel 2
Summary:    Web interface to manage package/maintainer relations
Group:      Networking/WWW
License:    GPLv3
URL:        http://gitorious.org/mageia-maintainers-database-r2
Source0:    %{name}-r2-%{name}-r2-master.tar.gz
Source1:    database.yml
Source2:    dispatch.fcgi
Source3:    %{name}.conf
Source4:    .htaccess
Source5:    README.urpmi
Patch0:     mageia-maintainers-database-0.0-fix-rails-version.patch
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rails)
Requires:   rubygem(rails) = 2.3.11
# hard dependencies at the moment
Requires:   apache
Requires:   rubygem(pg)
Requires:   rubygem(fcgi)
BuildArch:  noarch

%description
Web interface to manage package/maintainer relations

%prep
%setup -q -n %{name}-r2-%{name}-r2
%patch0 -p0
# remove vendorized gems
rm -rf vendor/{rails/,plugins/rspec*}
cp -f %{SOURCE1} config/
cp %{SOURCE5} .

%build

%install
rm -rf %{buildroot}
%{__install} -d %{buildroot}%{_var}/www/%{name}
cp -ax * %{buildroot}%{_var}/www/%{name}
%{__install} -m755 %{SOURCE2} %{buildroot}%{_var}/www/%{name}/public
%{__install} -d %{buildroot}%{_webappconfdir}
%{__install} -m644 %{SOURCE3} %{buildroot}%{_webappconfdir}
%{__install} -m644 %{SOURCE4} %{buildroot}%{_var}/www/%{name}/public

rm -f %{buildroot}%{_var}/www/%{name}/README.urpmi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.urpmi
%config(noreplace) %{_webappconfdir}/%{name}.conf
%{_var}/www/%{name}/Capfile
%{_var}/www/%{name}/Gemfile
%{_var}/www/%{name}/Rakefile
%doc %{_var}/www/%{name}/README
%{_var}/www/%{name}/app/
%{_var}/www/%{name}/config/environments
%{_var}/www/%{name}/config/initializers
%{_var}/www/%{name}/config/locales
%{_var}/www/%{name}/config/*.rb
%config(noreplace) %{_var}/www/%{name}/config/cucumber.yml
%config(noreplace) %{_var}/www/%{name}/config/database.yml
%{_var}/www/%{name}/db/
%doc %{_var}/www/%{name}/doc/
%{_var}/www/%{name}/features/
%{_var}/www/%{name}/lib/
%attr(-,apache,apache) %{_var}/www/%{name}/log
%{_var}/www/%{name}/public/
%{_var}/www/%{name}/script/
%{_var}/www/%{name}/server
%{_var}/www/%{name}/spec/
%{_var}/www/%{name}/test/



%changelog
* Sun Apr 17 2011 shikamaru <shikamaru> 0.0-2.mga1
+ Revision: 86881
- fix rails version

* Sun Apr 17 2011 shikamaru <shikamaru> 0.0-1.mga1
+ Revision: 86870
- imported package mageia-maintainers-database

